package de.oaa.xxx.vorlieben;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface UserVorliebeRepository extends JpaRepository<UserVorliebeEntity, UUID> {
    List<UserVorliebeEntity> findByUserId(UUID userId);
    Optional<UserVorliebeEntity> findByUserIdAndItemId(UUID userId, UUID itemId);
    List<UserVorliebeEntity> findByUserIdIn(java.util.Collection<UUID> userIds);
}
